stages:
  - build
  - build.xdebug

image: docker:latest

services:
  - docker:dind

before_script:
  - docker login -u "gitlab-ci-token" -p "$CI_JOB_TOKEN" $CI_REGISTRY

{% for type,versions in images %}
{% for version, versionData in versions %}
{{ version }}-{{ type }}:
  stage: build
  tags:
    - autoscale
  script:
    - docker build --pull {% for tag in versionData.tags  %}-t "$CI_REGISTRY_IMAGE/{{ type }}:{{ tag }}" {% endfor %}"dist/{{ version }}/{{ type }}"
{% for tag in versionData.tags  %}
    - docker push "$CI_REGISTRY_IMAGE/{{ type }}:{{ tag }}"
{% endfor %}
  when: manual

##########################################

{% if versionData.use_xdebug %}
{{ version }}-{{ type }}-xdebug:
  stage: build.xdebug
  tags:
    - autoscale
  when: manual
  script:
    - docker build --pull {% for tag in versionData.tags  %}-t "$CI_REGISTRY_IMAGE/{{ type }}-xdebug:{{ tag }}" {% endfor %}"dist/{{ version }}/{{ type }}-xdebug"
{% for tag in versionData.tags  %}
    - docker push "$CI_REGISTRY_IMAGE/{{ type }}-xdebug:{{ tag }}"
{% endfor %}

##########################################

{% endif %}
{% endfor %}
{% endfor %}
